package com.unis.base.server.service.impl;

import com.github.pagehelper.PageInfo;
import com.unis.base.common.vo.PageSystemVO;
import com.unis.base.common.vo.PersonSystemVO;
import com.unis.base.common.vo.SavePersonVO;
import com.unis.base.common.vo.UpdateSystemVO;
import com.unis.base.server.domain.PersonSystemDomain;
import com.unis.base.server.service.PersonSystemService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service
public class PersonSystemServiceImpl implements PersonSystemService {
    @Autowired
    private PersonSystemDomain personSystemDomain;

    @Override
    public PageInfo<PersonSystemVO> pageSystem(PageSystemVO pageSystemVO) {
        return personSystemDomain.pageSystem(pageSystemVO);
    }

    @Override
    public void saveSystem(SavePersonVO savePersonVO) {
        personSystemDomain.saveSystem(savePersonVO);
    }

    @Override
    public void updateSystem(SavePersonVO savePersonVO) {
        personSystemDomain.updateSystem(savePersonVO);
    }

    @Override
    public void deleteSystem(String id) {
        personSystemDomain.deleteOne(id);
    }

    @Override
    public PersonSystemVO selectSystem(String id) {
        return personSystemDomain.selectSystem(id);
    }

    @Override
    public void sentSystem(String fileCode, Integer status) {
        personSystemDomain.sentSystem(fileCode,status);
    }
}
